View Issue Details

IDProjectCategoryView StatusLast Update
0030367LazarusLazReportpublic2017-07-18 02:58
ReporterGraeme GeldenhuysAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSFreeBSDOS Version10.1
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0030367: Multi-Column report - column widths incorrectly calculated
DescriptionSee the two attached screenshots. I've set the report page for a 2-column report and a ColumnGap of 15. I then added a ColumnHeader and ColumnFooter band. When I define Memo elements in each of those bands to fit the exact width of a column (as the report designer shows), the columns are actually too wide.

It Screenshot1 I copied and pasted the Memo inside the ColumnFooter band and aligned it to where column 2 would start. As you can see the memo is too wide. Thus Column 1 and Column 2's widths are not the same in the report designer. And this translates exactly the same at runtime (as shown in Screenshot 2).
TagsNo tags attached.
Fixed in Revision52677
LazTarget1.8
Widgetset
Attached Files

Relationships

has duplicate 0032152 closedJesus Reyes Report ColumnWidths Calculated wrong, here is possible solution for this bug. 

Activities

Graeme Geldenhuys

2016-07-11 15:57

reporter  

Screenshot1.png (14,446 bytes)
Screenshot1.png (14,446 bytes)

Graeme Geldenhuys

2016-07-11 15:57

reporter  

Screenshot2.png (18,500 bytes)
Screenshot2.png (18,500 bytes)

Issue History

Date Modified Username Field Change
2016-07-11 15:57 Graeme Geldenhuys New Issue
2016-07-11 15:57 Graeme Geldenhuys File Added: Screenshot1.png
2016-07-11 15:57 Graeme Geldenhuys File Added: Screenshot2.png
2016-07-11 22:38 Jesus Reyes Assigned To => Jesus Reyes
2016-07-11 22:38 Jesus Reyes Status new => assigned
2016-07-13 00:58 Jesus Reyes Fixed in Revision => 52677
2016-07-13 00:58 Jesus Reyes LazTarget => 1.8
2016-07-13 00:58 Jesus Reyes Status assigned => resolved
2016-07-13 00:58 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-07-13 00:58 Jesus Reyes Resolution open => fixed
2016-07-13 00:58 Jesus Reyes Target Version => 1.8
2017-07-18 02:58 Jesus Reyes Relationship added has duplicate 0032152